<?php

include('../common/parseargs.php');

$USAGE=" --enabled=<0|1> --https-port=<port> --max-connections=<connections> " .
	   "--path=<path> --restart=<0|1>";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}

$ENABLED=$args_array['enabled'];
$NEW_PORT=$args_array['https-port'];
$MAX_CONS=$args_array['max-connections'];
$PATH=$args_array['path'];
$RESTART=$args_array['restart'];

if (strlen($ENABLED) < 1) {
	echo "ERROR: --enabled must be set";
	usage($argv[0],$USAGE); 
	exit(1); 
}
if (strlen($NEW_PORT) < 1) {
	echo "ERROR: --https-port must be set";
	usage($argv[0],$USAGE); 
	exit(1); 
}
if (strlen($MAX_CONS) < 1) {
	echo "ERROR: --max-connections must be set";
	usage($argv[0],$USAGE); 
	exit(1); 
}
if (strlen($PATH) < 1) {
	echo "ERROR: --path must be set";
	usage($argv[0],$USAGE); 
	exit(1); 
}
if (strlen($RESTART) < 1) {
	echo "ERROR: --restart must be set";
	usage($argv[0],$USAGE); 
	exit(1); 
}

try{

	$client = new soapclient("https://$HOST:$PORT/Configuration?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->setSSLOptions(array('enabled'=>"$ENABLED", 
								 'port'=>"$NEW_PORT", 
								 'maxConnections'=>"$MAX_CONS", 
								 'keystorePath'=>"$PATH", 
								 'restartWebService'=>"$RESTAT")) ;

} 
catch (SoapFault $exception)
{
	echo $exception;
}

echo "Successfully executed setSSLOptions\n";

exit(0);
?> 
